# Generated by Django 2.0.7 on 2018-09-17 15:13

from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='StudyRef',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guid', models.UUIDField(editable=False, unique=True)),
                ('study_instance_uid', models.CharField(blank=True, max_length=100)),
                ('priority', models.CharField(blank=True, max_length=10, null=True)),
                ('modality', models.CharField(blank=True, max_length=10, null=True)),
                ('body_part', models.CharField(blank=True, max_length=30, null=True)),
                ('patient_name', models.CharField(blank=True, max_length=50, null=True)),
                ('patient_gender', models.CharField(blank=True, max_length=2, null=True)),
                ('patient_date_of_birth', models.DateField(blank=True, null=True)),
                ('patient_year_of_birth', models.CharField(blank=True, max_length=4, null=True)),
                ('study_date', models.DateField(blank=True, null=True)),
                ('study_time', models.TimeField(blank=True, null=True)),
                ('number_of_dicom_images', models.IntegerField(blank=True, null=True)),
                ('zip_file', jsonfield.fields.JSONField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name_plural': 'Study References',
            },
        ),
        migrations.CreateModel(
            name='UserRef',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guid', models.UUIDField(editable=False, unique=True)),
            ],
            options={
                'verbose_name_plural': 'Viewer Profile References',
            },
        ),
        migrations.AddField(
            model_name='studyref',
            name='referring_physician',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='referred_studies', to='telerad_viewer.UserRef'),
        ),
    ]
